> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Remove Section API 文档

> 通过 Suno 删除片段接口移除已有歌曲中指定时间范围的音频，同时保留区间之外的内容。

<Note>
  该接口每次请求消耗 **1 quota（约 \$0.01）**。
</Note>

提交源音频 `music_id`，并通过 `crop_start_s` 和 `crop_end_s` 指定需要删除的时间区间。保存返回的 `jobId`，再通过 [Suno Fetch V2](/api/cn/suno/suno_fetch_v2) 或 `hookUrl` 回调获取编辑后的歌曲。


## OpenAPI

````yaml openapi/cn/suno.json POST /suno/v1/remove-section
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno 音乐生成相关接口
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/remove-section:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                music_id:
                  type: string
                  description: 需要编辑的源音频 ID。
                crop_start_s:
                  type: number
                  description: 需要删除片段的开始时间，单位：秒。
                crop_end_s:
                  type: number
                  description: 需要删除片段的结束时间，单位：秒。
                isStorage:
                  type: boolean
                  default: true
                  description: 是否转存编辑后的音频并返回 TTAPI CDN 地址。
                hookUrl:
                  type: string
                  description: 任务状态和结果的回调地址。
              required:
                - music_id
                - crop_start_s
                - crop_end_s
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    SuccessResponse:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````